## com.puppycrawl.tools.checkstyle.checks
Class ArrayTypeStyleCheck

    java.lang.Object
      com.puppycrawl.tools.checkstyle.api.AutomaticBean
          com.puppycrawl.tools.checkstyle.api.AbstractViolationReporter
              com.puppycrawl.tools.checkstyle.api.Check
                  com.puppycrawl.tools.checkstyle.checks.ArrayTypeStyleCheck

All Implemented Interfaces:
  Configurable, Contextualizable

    public class ArrayTypeStyleCheck

extends Check

Checks the style of array type definitions. Some like Java-style: `public static void main(String[] args)` and some like C-style: public static void main(String args[]) By default the Check enforces Java style.

Author:
  lkuehne

Constructor Summary
`ArrayTypeStyleCheck()`

Method Summary
`int[]` `getDefaultTokens()` Returns the default token a check is interested in.
`void` `setJavaStyle(boolean aJavaStyle)` Controls whether to check for Java or C style.
`void` `visitToken(DetailAST aAST)` Called to process a token.

Methods inherited from class com.puppycrawl.tools.checkstyle.api.Check
`beginTree, destroy, finishTree, getAcceptableTokens, getClassLoader, getFileContents, getLines, getRequiredTokens, getTabWidth, getTokenNames, init, leaveToken, log, log, setClassLoader, setFileContents, setMessages, setTabWidth, setTokens`

Methods inherited from class com.puppycrawl.tools.checkstyle.api.AbstractViolationReporter
`getCustomMessages, getId, getMessageBundle, getSeverity, getSeverityLevel, log, setId, setSeverity`

Methods inherited from class com.puppycrawl.tools.checkstyle.api.AutomaticBean
`configure, contextualize, finishLocalSetup, getConfiguration, setupChild`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ArrayTypeStyleCheck

    public ArrayTypeStyleCheck()

Method Detail

### getDefaultTokens

    public int[] getDefaultTokens()

  Description copied from class: `Check`
  Returns the default token a check is interested in. Only used if the configuration for a check does not define the tokens.

  Specified by:
    `getDefaultTokens` in class `Check`
  Returns:
    the default tokens
  See Also:
    `TokenTypes`

### visitToken

    public void visitToken(DetailAST aAST)

  Description copied from class: `Check`
  Called to process a token.

  Overrides:
    `visitToken` in class `Check`
  Parameters:
    `aAST` - the token to process

### setJavaStyle

    public void setJavaStyle(boolean aJavaStyle)

  Controls whether to check for Java or C style.

  Parameters:
    `aJavaStyle` - true if Java style should be used.

Copyright © 2001-2011. All Rights Reserved.